import { baseRequest } from "@/utils/xRequest";

const request = (url, ...arg) => baseRequest(`` + url, ...arg)

export default {
	getDiffList(data) {
		return request('/bill-personnel-admission/countAdmission', data, 'post')
	},
	getRankList(data) {
		return request('/bill-personnel-admission/listTop', data, 'post')
	},
	getEntranceLineList(data) {
		return request('/bill-personnel-admission/admissionTail', data, 'post')
	},
	getEntranceTable(data) {
		return request('/bill-personnel-admission/selectList', data, 'post')
	},
	delEntranceTable(data) {
	 	return request('/bill-personnel-admission/delete', data, 'post')
	},
	getLocationList(data) {
		return request('/base-location/listAll', data, 'post')
	},
	saveEntranceImg(data) {
		return request('/bill-personnel-admission/uploadImgAndAdmissin', data)
	},
	getPcrWhole(data) {
		return request('/bill-pcr/pcrWhole', data, 'post')
	},
	getMoldChart(data) {
		return request('/bill-pcr/listType', data, 'post')
	},
	getAddressChart(data) {
		return request('/bill-pcr/listLocation', data, 'post')
	},
	getPcrLineChart(data) {
		return request('/bill-pcr/listAll', data, 'post')
	},
	getPcrTableList(data) {
		return request('/bill-pcr/selectList', data, 'post')
	},
	delPcrTableList(data) {
		return request('/bill-pcr/delete', data, 'post')
	},
	getPcrModal(data) {
		return request('/bill-pcr/listConfiguration', data, 'post')
	},
	savePcrModal(data) {
		return request('/bill-pcr/editTime', data, 'post')
	},
	getWashingWhole(data) {
		return request('/bill-clean/listCount', data, 'post')
	},
	getWashingLineChart(data) {
		return request('/bill-clean/allList', data, 'post')
	},
	getWashingTableList(data) {
		return request('/bill-clean/CleanSelect', data, 'post')
	},
	delWashingTableList(data) {
		return request('/bill-clean/delete', data, 'post')
	},
	saveWashingModal(data) {
		return request('/bill-clean/editTime', data, 'post')
	},
	getIsolateLineChart(data) {
		return request('/bill-isolate/isolateList', data, 'post')
	},
	getIsolationTableList(data) {
		return request('/bill-isolate/isolateSelect', data, 'post')
	},
	delIsolationTableList(data) {
		return request('/bill-isolate/delete', data, 'post')
	},
	getLuggageLineChart(data) {
		return request('/bill-luggage/listLuggage', data, 'post')
	},
	getLuggageTableList(data) {
		return request('/bill-luggage/selectLuggage', data, 'post')
	},
	delLuggageTableList(data) {
		return request('/bill-luggage/delete', data, 'post')
	},
	getPersonPage(data) {
		return request('/sys-user/page', data, 'post')
	},
	delPersonPage(data) {
		return request('/sys-user/remove', data, 'post')
	},
	addPersonPage(data) {
		return request('/sys-user/add', data)
	},
	editPersonPage(data) {
		return request('/sys-user/update', data)
	},
	savePersonImg(data) {
		return request('/sys-user/uploadUserImg', data)
	},
	addAccountPage(data) {
		return request('/sys-account-multilevel/add', data)
	},
	editAccountPage(data) {
		return request('/sys-account-multilevel/update', data)
	},
	getAccountPage(data) {
		return request('/sys-account-multilevel/listAccount', data, 'post')
	},
	delAccountPage(data) {
		return request('/sys-account-multilevel/deleteAccount', data, 'post')
	},
	getPersonLocation(data) {
		return request('/sys-user/listWorkLocation', data, 'post')
	},
	getPersonAll(data) {
		return request('/sys-user/list', data, 'post')
	},
	getPersonAgeChart(data) {
		return request('/sys-user/userAgeAndGender', data, 'post')
	},
	getPersonPostChart(data) {
		return request('/sys-user/userJob', data, 'post')
	}
}
